.travis.yml 3.1 KB
Newer Older
1 2 3 4 5 6 7 8 9 10 11 12 13 14
#
# Configuration
#
git:
  depth: 1

language: c

compiler:
  - clang
  - gcc

os:
  - linux
sangshuduo's avatar
sangshuduo 已提交
15
#  - osx
16

17 18 19 20 21 22 23 24 25
before_install:
  - |-
    case $TRAVIS_OS_NAME in
      linux)
        sudo apt -y update
        sudo apt -y install python-pip python3-pip python-setuptools python3-setuptools
        ;;
    esac

26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52
addons:
  coverity_scan:

    # GitHub project metadata
    # ** specific to your project **
    project:
      name: TDengine
      version: 2.x
      description: TDengine

    # Where email notification of build analysis results will be sent
    notification_email: sdsang@taosdata.com

    # Commands to prepare for build_command
    # ** likely specific to your build **
    build_command_prepend: cmake ..

    # The command that will be added as an argument to "cov-build" to compile your project for analysis,
    # ** likely specific to your build **
    build_command: cmake --build .

    # Pattern to match selecting branches that will run analysis. We recommend leaving this set to 'coverity_scan'.
    # Take care in resource usage, and consider the build frequency allowances per
    #   https://scan.coverity.com/faq#frequency
    branch_pattern: coverity_scan

before_script:
sangshuduo's avatar
sangshuduo 已提交
53 54
  - mkdir debug
  - cd debug
55 56 57

script:
  - cmake .. 
sangshuduo's avatar
sangshuduo 已提交
58
  - cmake --build . || exit $?
sangshuduo's avatar
sangshuduo 已提交
59 60 61
  - |-
    case $TRAVIS_OS_NAME in
      linux)
62 63 64 65 66 67 68 69 70
        # Color setting
        RED='\033[0;31m'
        GREEN='\033[1;32m'
        GREEN_DARK='\033[0;32m'
        GREEN_UNDERLINE='\033[4;32m'
        NC='\033[0m'

        sudo make install

sangshuduo's avatar
sangshuduo 已提交
71
        cd ../tests/script
72 73
        sudo ./test.sh 2>&1 | grep 'success\|failed' | tee out.txt

sangshuduo's avatar
sangshuduo 已提交
74
        total_success=`grep success out.txt | wc -l`
75 76 77

        if [ "$total_success" -gt "0" ]; then
          total_success=`expr $total_success - 1`
78
          echo -e "${GREEN} ### Total $total_success TSIM case(s) succeed! ### ${NC}"
79 80
        fi

sangshuduo's avatar
sangshuduo 已提交
81
        total_failed=`grep failed out.txt | wc -l`
82
        if [ "$total_failed" -ne "0" ]; then
83
          echo -e "${RED} ### Total $total_failed TSIM case(s) failed! ### ${NC}"
84 85
          exit $total_failed
        fi
86 87 88 89 90 91 92 93 94 95 96 97 98 99 100 101 102 103

        pip install --user ../../src/connector/python/linux/python2/ 
        pip3 install --user ../../src/connector/python/linux/python3/ 

        cd ../pytest
        sudo ./simpletest.sh 2>&1 | grep 'successfully executed\|failed' | tee pytest-out.txt
        total_py_success=`grep 'successfully executed' pytest-out.txt | wc -l`

        if [ "$total_py_success" -gt "0" ]; then
          echo -e "${GREEN} ### Total $total_py_success python case(s) succeed! ### ${NC}"
        fi

        total_py_failed=`grep 'failed' pytest-out.txt | wc -l`
        if [ "$total_py_failed" -ne "0" ]; then
          echo -e "${RED} ### Total $total_py_failed python case(s) failed! ### ${NC}"
          exit $total_py_failed
        fi

sangshuduo's avatar
sangshuduo 已提交
104 105
        ;;
    esac
106 107 108 109 110 111 112 113 114 115 116

#
# Build Matrix
#
matrix:
  - os: linux
    addons:
      apt:
        packages:
          - build-essential
          - cmake
sangshuduo's avatar
sangshuduo 已提交
117
          - net-tools
118 119 120 121
          - python-pip
          - python-setuptools
          - python3-pip
          - python3-setuptools
122

sangshuduo's avatar
sangshuduo 已提交
123 124 125 126
#  - os: osx
#    addons:
#      homebrew:
#        - cmake
127